%define src_version 20080804
%define version     0.%{src_version}
%define release     %mkrel 1
%define src_name    umeplus-fonts

Summary:	Japanese TrueType fonts
Name:		fonts-ttf-japanese
Version:	%{version}
Release:	%{release}
License:	Distributable
URL:		http://www.geocities.jp/ep3797/modified_fonts_01.html
Group:		System/Fonts/True type

## Original fonts is here
Source0:	http://www.geocities.jp/ep3797/snapshot/modified_fonts/%{src_name}-%{src_version}.tar.bz2
Source1:	fonts-ttf-japanese_fonts.alias
Source2:	fonts-ttf-japanese_fonts.dir
Source3:	cidinst.japanese
Source4:	cidunin.japanese

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype-tools
Obsoletes:	xtt-fonts
Provides:	xtt-fonts
Requires(post): fontconfig >= 2.4.1
Requires(postun): fontconfig >= 2.4.1

%description
This Package provides Free Japanese TrueType fonts (umeplus-gothic, 
umeplus-p-gothic)

%prep
%setup -q -n %{src_name}-%{src_version}

%build

%install
rm -fr %buildroot
mkdir -p %buildroot/%{_datadir}/fonts/TTF/japanese
install -m 644 *.ttf %buildroot/%{_datadir}/fonts/TTF/japanese
install -m 644 %{SOURCE1} %buildroot/%{_datadir}/fonts/TTF/japanese/fonts.alias
# Macromedia Flash looks in fonts.dir file for old Japanese fonts
# (= Kochi Gothic, Kochi Mincho), regardless of the encoding, in order
# to find the TTF file name. So we provide a special fonts.dir file,
# with two extra lines to make Macromedia Flash happy.
# maybe some day it will be fixed and this won't be needed anymore.
#
install -m 644 %{SOURCE2} %buildroot/%{_datadir}/fonts/TTF/japanese/fonts.dir
ln -sf %{_datadir}/fonts/TTF/japanese/fonts.alias %buildroot/%{_datadir}/fonts/TTF/japanese/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/japanese \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50

%post
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 


%postun
if [ "$1" = "0" ]; then
   [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,0755)
%doc ChangeLog README
%doc docs-*/ fontforge-scripts-*/

%dir %_datadir/fonts/TTF/japanese/
%_datadir/fonts/TTF/japanese/*.ttf
%config(noreplace) %_datadir/fonts/TTF/japanese/fonts.alias
%_datadir/fonts/TTF/japanese/fonts.dir
%_datadir/fonts/TTF/japanese/fonts.scale
%_sysconfdir/X11/fontpath.d/ttf-japanese:pri=50


%changelog
* Mon Aug 04 2008 Funda Wang <fundawang@mandriva.org> 0.20080804-1mdv2009.0
+ Revision: 262834
- New version 20080804

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 0.20080512-1mdv2009.0
+ Revision: 208605
- New version

* Mon Apr 21 2008 Funda Wang <fundawang@mandriva.org> 0.20080409-1mdv2009.0
+ Revision: 196292
- New version 20080409

* Tue Feb 26 2008 Funda Wang <fundawang@mandriva.org> 0.20080217-1mdv2008.1
+ Revision: 175231
- New version

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.20080206-2mdv2008.1
+ Revision: 170838
- rebuild

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 0.20080206-1mdv2008.1
+ Revision: 163397
- New snapshot of fonts

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 0.20080116-1mdv2008.1
+ Revision: 156306
- New snapshot of fonts

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 0.20071210-1mdv2008.1
+ Revision: 139778
- New snapshot of fonts

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 0.20071011-1mdv2008.1
+ Revision: 102532
- New snapshot of fonts

* Wed Aug 29 2007 Funda Wang <fundawang@mandriva.org> 0.20070806-1mdv2008.0
+ Revision: 75001
- New version 20070806

* Fri Jul 06 2007 Funda Wang <fundawang@mandriva.org> 0.20070703-1mdv2008.0
+ Revision: 48866
- New version

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.20070517-2mdv2008.0
+ Revision: 48742
- fontpath.d conversion (#31756)
- minor cleanups

* Fri May 18 2007 Funda Wang <fundawang@mandriva.org> 0.20070517-1mdv2008.0
+ Revision: 27767
- New upstream snapshot

* Sun Apr 29 2007 Funda Wang <fundawang@mandriva.org> 0.20070404-1mdv2008.0
+ Revision: 19124
- upstream new snapshot.


* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.20070226-1mdv2007.0
+ Revision: 125925
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Nov 02 2006 Pablo Saratxaga <pablo@mandriva.com> 0.20061016-2mdv2007.1
+ Revision: 75914
- corrected requires on fontconfig

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.20061016-1mdv2007.1
+ Revision: 66016
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
- new release
- follow new Ume fonts
- use Ume fonts for wide alphabet
- change url
- change the fontnames of umeplus (the author of Ume fonts requested it):
  o (Ume Gothic => UmePlus Gothic)
  o (Ume P Gothic => UmePlus P Gothic)
- use new M+ fonts for alphabet
- change the default Japanese font (sazanami => umeplus)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 0.20040629-8mdv2007.0
+ Revision: 52890
- Normalize fonts with new paths
- import fonts-ttf-japanese-0.20040629-7mdk

* Thu Feb 23 2006 Pablo Saratxaga <pablo@mandriva.com> 0.20040629-7mdk
- fix for Macromedia Flash without need to export X11 font name as
  "Kochi" fonts.

* Mon Feb 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-6mdk
- add symlinks to old Japanese fonts (Kochi fonts).
  Macromedia Flash loads them.
- add modified fonts.dir for Kochi fonts (source1)

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040629-5mdk
- Fix fc-cache call

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20040629-4mdk
- never ship fonts.cache-2

* Sun Nov 13 2005 Abel Cheung <deaddog@mandriva.org> 0.20040629-3mdk
- new fontconfig cache file name
- fix dependencies
- don't install ghostscript related file, gs-cjk is no more

* Sun Oct 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.20040629-2mdk
- added CID install/uninstall scripts (so that ghostscript sees the fonts)

* Thu Jul 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040629-1mdk
- new release

* Mon Jun 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20040621-4mdk
- fix release number

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.20040621-3mdk
- replace Kochi with Sazanami
- Sazanami is a successor to Kochi

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.20040217-2mdk
- fix buildrequires
- don't use () around commands, it will make rpm-build not exit on errors within the braces
- don't list files twice

